Loading...
Searching...
No Matches
Molecular Surface Computation
Molecular Modeling » Molecular Structure

## Classes

class | BALL::GraphEdge< Vertex, Edge, Face >
class | BALL::GraphFace< Vertex, Edge, Face >
class | BALL::GraphTriangle< Vertex, Edge, Face >
class | BALL::GraphVertex< Vertex, Edge, Face >
class | BALL::ReducedSurface
class | BALL::RSComputer
class | BALL::RSEdge
class | BALL::RSFace
class | BALL::RSVertex
class | BALL::SASEdge
class | BALL::SASFace
class | BALL::SASVertex
class | BALL::SESEdge
class | BALL::SESFace
class | BALL::SESVertex
class | BALL::SolventAccessibleSurface
class | BALL::SolventExcludedSurface
class | BALL::SESComputer
class | BALL::SESSingularityCleaner
class | BALL::SurfaceProcessor
class | BALL::Triangle
class | BALL::TriangleEdge
class | BALL::TrianglePoint
class | BALL::TriangulatedSAS
class | BALL::SASTriangulator
class | BALL::TriangulatedSES
class | BALL::SESTriangulator
class | BALL::TriangulatedSurface
class | BALL::TriangulatedSphere

## Functions

BALL_EXPORT float | BALL::calculateSESAtomAreas (const AtomContainer &fragment, HashMap< const Atom *, float > &atom_areas, float probe_radius=1.5)
BALL_EXPORT float | BALL::calculateSESArea (const AtomContainer &fragment, float probe_radius=1.5)
BALL_EXPORT float | BALL::calculateSESVolume (const AtomContainer &fragment, float probe_radius=1.5)

## Detailed Description

## Function Documentation

## calculateSESArea()

BALL_EXPORT float BALL::calculateSESArea | ( | const AtomContainer & | fragment,
|  | float | probe_radius = 1.5 )

Calculate the solvent excluded surface area analytically. This method uses the algorithm by Michael L. Connolly. ?????

Parameters

  fragment | the kernel object containing the atoms
  probe_radius | the probe radius used for the SAS

Returns
  the SES area in

## calculateSESAtomAreas()

BALL_EXPORT float BALL::calculateSESAtomAreas | ( | const AtomContainer & | fragment,
|  | HashMap< const Atom *, float > & | atom_areas,
|  | float | probe_radius = 1.5 )

Calculate the solvent excluded surface area analytically. This method uses the algorithm by Michael L. Connolly. ?????

Parameters

  fragment | the kernel object containing the atoms
  probe_radius | the probe radius used for the SAS
  atom_areas |

Returns
  the SES area in

## calculateSESVolume()

BALL_EXPORT float BALL::calculateSESVolume | ( | const AtomContainer & | fragment,
|  | float | probe_radius = 1.5 )

Calculate the solvent excluded volume analytically. This method uses the algorithm by Michael L. Connolly. ?????

Parameters

  fragment | the kernel object containing the atoms
  probe_radius | the probe radius used for the SAS

Returns
  the volume in